Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 2824993002: Implemented CSSPropertyAPI for transform property. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 2 days ago by Bugs Nash
Modified:
1 week ago
Reviewers:
nainar, alancutter
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, chromium-reviews, dglazkov+blink, rwlbuis
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Implemented CSSPropertyAPI for transform property. Implemented CSSPropertyAPI for transform property with parseSingleValue method. This patch - added CSSPropertyAPITransform.cpp with parseSingleValue method - moved parsing logic for transform property from CSSPropertyParser::ParseSingleValue to CSSPropertyAPITransform::parseSingleValue - moved helper methods used from CSSPropertyParser to an unnamed namespace in CSSPropertyAPITransform - added CSSPropertyAPITransform implementation data to CSSProperties.json5 so that generated files for the API will be updated. Diffs in generated files: https://gist.github.com/BugsNash/b847d3875db665dc9d57ec984c2174c0/revisions BUG=668012 Review-Url: https://codereview.chromium.org/2824993002 Cr-Commit-Position: refs/heads/master@{#465917} Committed: https://chromium.googlesource.com/chromium/src/+/b72ac686eb305a9201b6410c8918637415d204fc

Patch Set 1 #

Total comments: 2

Patch Set 2 : addressed review #

Patch Set 3 : fixed if braces #

Unified diffs Side-by-side diffs Delta from patch set Stats (+211 lines, -178 lines) Patch
M third_party/WebKit/Source/core/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSProperties.json5 View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp View 2 chunks +0 lines, -178 lines 0 comments Download
A third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp View 1 2 1 chunk +207 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 27 (16 generated)
Bugs Nash
1 week, 1 day ago (2017-04-19 01:42:31 UTC) #8
Bugs Nash
1 week ago (2017-04-19 21:38:16 UTC) #10
nainar
lgtm
1 week ago (2017-04-19 23:18:32 UTC) #11
Bugs Nash
+alancutter for owners
1 week ago (2017-04-19 23:31:29 UTC) #13
alancutter
lgtm https://codereview.chromium.org/2824993002/diff/1/third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp File third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp (right): https://codereview.chromium.org/2824993002/diff/1/third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp#newcode27 third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp:27: !CSSPropertyParserHelpers::ConsumeCommaIncludingWhitespace(args)) Let's give multiline ifs braces in this ...
1 week ago (2017-04-20 03:33:12 UTC) #14
Bugs Nash
addressed review
1 week ago (2017-04-20 04:01:21 UTC) #15
Bugs Nash
https://codereview.chromium.org/2824993002/diff/1/third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp File third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp (right): https://codereview.chromium.org/2824993002/diff/1/third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp#newcode27 third_party/WebKit/Source/core/css/properties/CSSPropertyAPITransform.cpp:27: !CSSPropertyParserHelpers::ConsumeCommaIncludingWhitespace(args)) On 2017/04/20 at 03:33:12, alancutter wrote: > Let's ...
1 week ago (2017-04-20 04:01:52 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2824993002/20001
1 week ago (2017-04-20 04:02:40 UTC) #19
Bugs Nash
fixed if braces
1 week ago (2017-04-20 04:09:16 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2824993002/40001
1 week ago (2017-04-20 04:10:23 UTC) #24
commit-bot: I haz the power
1 week ago (2017-04-20 06:26:47 UTC) #27
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/b72ac686eb305a9201b6410c8918...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46